> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve an e-invoicing business region

GET https://rest.test.zuora.com/v1/einvoice/business-regions/{key}

Retrieves information about an e-invoicing business region.

You can search for an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region.

**Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/e-invoicing/get-e-invoicing-business-region

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `key` (string, required) — The unqiue ID or number of the e-invoicing business region that you want to retrieve information about.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `id` (string, optional) — The unique ID of the e-invoicing business region.
- `country` (string, optional) — The short name of a country or region where you must comply with e-invoicing requirements. For example, `IN` for India. For the full list of country names and codes, see View countries or regions.
- `businessName` (string, optional) — The full official name that the Seller is registered with the relevant legal authority.
- `businessNumber` (string, optional) — The specify the unique identifier number of the legal entity or person that you do business with. For example, you must use a GSTIN for India and Tax Identification Number (TIN) for Saudi Arabia.
- `businessNumberSchemaId` (string, optional) — The identification scheme identifier that an official registrar issues to identify the Seller as a legal entity or person.
- `tradeName` (string, optional, nullable) — The name that the Seller is known as, other than the legal business name.
- `endpointId` (string, optional) — The Seller's electronic address, to which the application-level response to the e-invoice file might be delivered.
- `endpointSchemeId` (string, optional) — The identification scheme identifier of the Seller’s electronic address.
- `taxRegisterNumber` (string, optional, nullable) — The Seller's VAT identifier (also known as Seller VAT identification number) or the local identification (defined by the Seller’s address) of the Seller for tax purposes, or a reference that enables the Seller to state the registered tax status.
- `state` (string, optional, nullable) — The name of the state or province where the business is located.
- `city` (string, optional) — The the name of the city where the business is located.
- `postalCode` (string, optional) — The short code that can identify the business address.
- `addressLine1` (string, optional, nullable) — The first line of the Seller’s address, which is often a street address or business name.
- `addressLine2` (string, optional, nullable) — The second line of the Seller’s address, which is often the name of a building.
- `contactName` (string, optional, nullable) — The name of the Seller contact to receive e-invoicing data.
- `phoneNumber` (string, optional, nullable) — The business phone number of the Seller contact to receive e-invoicing data.
- `email` (string, optional, nullable) — The email address of the Seller contact to receive e-invoicing data.
- `serviceProviderId` (string, optional) — The unique ID of the e-invoicing service provider that is associated to the business region.
- `businessRegionNumber` (string, optional) — The unique number of the e-invoicing business region.
- `digitalSignatureEnable` (boolean, optional, default: false) — Whether the e-invoicing service provider signs PDF files for billing documents.
- `digitalSignatureBoxEnable` (boolean, optional, default: false) — Whether the digital signature box is displayed on PDF files for billing documents.
- `digitalSignatureBoxPosX` (double, optional) — The X-coordinate to determine where the digital signature box is displayed on PDF files for billing documents.
- `digitalSignatureBoxPosY` (double, optional) — The Y-coordinate to determine where the digital signature box is displayed on PDF files for billing documents.
- `responseMapping` (map from string to string, optional) — Container for e-invoicing response field mappings that map values from the e-invoicing service provider’s response data to fields on the EInvoiceData object in Zuora. Each response field mapping consists of a field name and a field path. **Note**: This field is applicable only to the Sovos or Avalara service provider. For more information, see Configure e-invoicing response field mappings.
- `processType` (enum, optional) — The process type of the e-invoicing business region. - If the service provider is Sovos, the process type is `Clearance` or `ClearanceWithCancellation`. - If the service provider is Avalara, the process type is `Clearance` or `PEPPOLNetwork`. - If the service provider is PEPPOL, the process type is `Unknown`.
  - Allowed values: `Clearance`, `ClearanceWithCancellation`, `PEPPOLNetwork`, `Unknown`
- `invoiceEnabled` (boolean, optional, default: false) — It will control whether the invoice should be supported by the process type or not. This field is available when the service provider is Sovos or Avalara.
- `creditMemoEnabled` (boolean, optional, default: false) — It will control whether the credit memo should be supported by the process type or not. This field is available when the service provider is Sovos or Avalara.
- `debitMemoEnabled` (boolean, optional, default: false) — It will control whether the debit memo should be supported by the process type or not. This field is available when the service provider is Sovos or Avalara.
- `invoiceFilters` (list of InvoiceFiltersResponseType, optional) — The documents belonging to the e-invoicing business region.
- `creditMemoFilters` (list of CreditMemoFiltersResponseType, optional) — The documents belonging to the e-invoicing business region.
- `debitMemoFilters` (list of DebitMemoFiltersResponseType, optional) — The documents belonging to the e-invoicing business region.
- `fileFormat` (list of string, optional) — The file format for each business category. An example response is "[ "application/xml", "application/vnd.oasis.ubl+xml" ]"
- `success` (boolean, optional) — Indicats if the request succeeds.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### InvoiceFiltersResponseType

- `condition` (InvoiceFiltersCondition, optional) — Container for condition information about the invoice filters.

### CreditMemoFiltersResponseType

- `condition` (CreditMemoFiltersCondition, optional) — Container for condition information about the credit memo filters.

### DebitMemoFiltersResponseType

- `condition` (DebitMemoFiltersCondition, optional) — Container for condition information about the debit memo filters.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### InvoiceFiltersCondition

Container for condition information about the invoice filters.

- `conditions` (list of InvoiceFiltersCondition, optional) — Multiple `conditions` fields are combined by the `relation` fields. These `conditions` fields form a custom filter. Each `conditions` field is a formula combined by the `field`, `operator`, and `value` fields.
- `field` (string, optional) — The field name of a single condition that is indicated by the `conditions` field.
- `operator` (enum, optional) — The operator of a single condition that is indicated by the `conditions` field. The operator is added between the `field` and `value` fields. * eq: equal (`field` = `value`) * neq: not equal (`field` != `value`) * gt: greater than (`field` > `value`) * lt: less than (`field` \< `value`) * gte: greater than or equal (`field` >= `value`) * lte: less than or equal (`field` \<= `value`) * lk: like (`field` like `value`) * in: in (`field` in `value`, the values are separated by comma) * nl: null (`field` is null) * nnl: not null (`field` is not null)
  - Allowed values: `eq`, `neq`, `gt`, `lt`, `gte`, `lte`, `lk`, `in`, `nl`, `nnl`
- `relation` (enum, optional) — The relation among the `conditions` fields.
  - Allowed values: `and`, `or`
- `value` (string, optional) — The value of a single condition that is indicated by the `conditions` field.
- `objectType` (enum, optional) — The target object type of the condition when the `filterType` field is specified as `FilterCondition`.
  - Allowed values: `Invoice`, `InvoiceItem`

### CreditMemoFiltersCondition

Container for condition information about the credit memo filters.

- `conditions` (list of CreditMemoFiltersCondition, optional) — Multiple `conditions` fields are combined by the `relation` fields. These `conditions` fields form a custom filter. Each `conditions` field is a formula combined by the `field`, `operator`, and `value` fields.
- `field` (string, optional) — The field name of a single condition that is indicated by the `conditions` field.
- `operator` (enum, optional) — The operator of a single condition that is indicated by the `conditions` field. The operator is added between the `field` and `value` fields. * eq: equal (`field` = `value`) * neq: not equal (`field` != `value`) * gt: greater than (`field` > `value`) * lt: less than (`field` \< `value`) * gte: greater than or equal (`field` >= `value`) * lte: less than or equal (`field` \<= `value`) * lk: like (`field` like `value`) * in: in (`field` in `value`, the values are separated by comma) * nl: null (`field` is null) * nnl: not null (`field` is not null)
  - Allowed values: `eq`, `neq`, `gt`, `lt`, `gte`, `lte`, `lk`, `in`, `nl`, `nnl`
- `relation` (enum, optional) — The relation among the `conditions` fields.
  - Allowed values: `and`, `or`
- `value` (string, optional) — The value of a single condition that is indicated by the `conditions` field.
- `objectType` (enum, optional) — The target object type of the condition when the `filterType` field is specified as `FilterCondition`.
  - Allowed values: `CreditMemo`, `CreditMemoItem`

### DebitMemoFiltersCondition

Container for condition information about the debit memo filters.

- `conditions` (list of DebitMemoFiltersCondition, optional) — Multiple `conditions` fields are combined by the `relation` fields. These `conditions` fields form a custom filter. Each `conditions` field is a formula combined by the `field`, `operator`, and `value` fields.
- `field` (string, optional) — The field name of a single condition that is indicated by the `conditions` field.
- `operator` (enum, optional) — The operator of a single condition that is indicated by the `conditions` field. The operator is added between the `field` and `value` fields. * eq: equal (`field` = `value`) * neq: not equal (`field` != `value`) * gt: greater than (`field` > `value`) * lt: less than (`field` \< `value`) * gte: greater than or equal (`field` >= `value`) * lte: less than or equal (`field` \<= `value`) * lk: like (`field` like `value`) * in: in (`field` in `value`, the values are separated by comma) * nl: null (`field` is null) * nnl: not null (`field` is not null)
  - Allowed values: `eq`, `neq`, `gt`, `lt`, `gte`, `lte`, `lk`, `in`, `nl`, `nnl`
- `relation` (enum, optional) — The relation among the `conditions` fields.
  - Allowed values: `and`, `or`
- `value` (string, optional) — The value of a single condition that is indicated by the `conditions` field.
- `objectType` (enum, optional) — The target object type of the condition when the `filterType` field is specified as `FilterCondition`.
  - Allowed values: `DebitMemo`, `DebitMemoItem`

## Examples

**Response**

```json
{
  "0": {
    "addressLine1": "",
    "addressLine2": "",
    "businessName": "Avalara Inc.",
    "businessNumber": "74004085818",
    "businessNumberSchemeId": "0151",
    "businessRegionNumber": "EIBR-00000010",
    "city": "",
    "contactName": "",
    "country": "AU",
    "creditMemoEnabled": "true",
    "creditMemoFilters": "null",
    "debitMemoEnabled": "true",
    "debitMemoFilters": "null",
    "digitalSignatureBoxEnable": "false",
    "digitalSignatureBoxPosX": "0",
    "digitalSignatureBoxPosY": "0",
    "digitalSignatureEnable": "false",
    "email": "",
    "endpointId": "74004085818",
    "endpointSchemeId": "0151",
    "fileFormat": {
      "B2B": [
        "XML"
      ],
      "B2C": [
        ""
      ],
      "B2G": [
        "XML"
      ]
    },
    "id": "8ad083528ee62fe1018eea6c5dd11e01",
    "invoiceEnabled": "true",
    "invoiceFilters": "null",
    "phoneNumber": "",
    "postalCode": "",
    "processType": "PEPPOLNetwork",
    "responseMapping": "{}",
    "serviceProviderId": "8ad093788ea359ca018ea75fb12a6348",
    "state": "",
    "taxRegisterNumber": "1577240348",
    "tradeName": "Test trade"
  }
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/einvoice/business-regions/key"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/einvoice/business-regions/key';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/einvoice/business-regions/key"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/einvoice/business-regions/key")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/einvoice/business-regions/key")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/einvoice/business-regions/key', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/einvoice/business-regions/key");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/einvoice/business-regions/key")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```